import { OfflineAminoSigner, OfflineDirectSigner } from '@keplr-wallet/types/src/cosmjs';
import { BBNConfig, IBBNProvider } from '../../../types';
export declare const WALLET_PROVIDER_NAME = "OKX";
export declare class OKXBabylonProvider implements IBBNProvider {
    private wallet;
    private walletInfo;
    private chainId;
    private rpc;
    private chainData;
    constructor(wallet: any, config: BBNConfig);
    connectWallet(): Promise<void>;
    getAddress(): Promise<string>;
    getPublicKeyHex(): Promise<string>;
    getWalletProviderName(): Promise<string>;
    getWalletProviderIcon(): Promise<string>;
    getOfflineSigner(): Promise<OfflineAminoSigner & OfflineDirectSigner>;
    getOfflineSignerAuto(): Promise<OfflineAminoSigner | OfflineDirectSigner>;
    on: (eventName: string, callBack: () => void) => void;
    off: (eventName: string, callBack: () => void) => void;
    getVersion(): Promise<string>;
}
